REM Create the Biotics 4 tablespaces and users
REM The paths for the tablespaces must exist!
REM If you database name is BIOTICS your
REM path would probably be C:\oracle\oradata\BIOTICS
REM Look for other tablespace file in directory if you are not sure
REM Must be run as the system user
REM This script will only run in Oracle 9i
REM 01132003 smoslin created


accept path char prompt 'enter path for tablespaces w/o last back slash): ' 

set echo off


PROMPT Creating BIOTICS_DATA tablespace...
CREATE TABLESPACE BIOTICS_DATA 
    LOGGING 
    DATAFILE '&path\BIOTICS_DATA.ora' SIZE 3900M
    REUSE AUTOEXTEND ON NEXT 640K MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO;
    
PROMPT Creating BIOTICS_INDEX tablespace...
CREATE TABLESPACE "BIOTICS_INDEX" 
    LOGGING 
    DATAFILE '&path\BIOTICS_INDEX.ora' SIZE 1050M 
    REUSE AUTOEXTEND ON NEXT 640K MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO;

PROMPT Creating BIOTICSDEL_DATA tablespace...
CREATE TABLESPACE "BIOTICSDEL_DATA" 
    LOGGING 
    DATAFILE '&path\BIOTICSDEL_DATA.ora' SIZE 550M 
    REUSE AUTOEXTEND ON NEXT 640K MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO;

PROMPT Creating BIOTICS_AUDIT tablespace...
CREATE TABLESPACE "BIOTICS_AUDIT" 
    LOGGING 
    DATAFILE '&path\BIOTICS_AUDIT.ora' SIZE 750M 
    REUSE AUTOEXTEND ON NEXT 640K MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO;
    
PROMPT Creating BIOTICS_DX_DATA tablespace...
CREATE TABLESPACE "BIOTICS_DX_DATA" 
    LOGGING 
    DATAFILE '&path\BIOTICS_DX_DATA.ora' SIZE 950M
    REUSE AUTOEXTEND ON NEXT 640K MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO;
    
PROMPT Creating BIOTICS_DX_INDEX tablespace...
CREATE TABLESPACE "BIOTICS_DX_INDEX" 
    LOGGING 
    DATAFILE '&path\BIOTICS_DX_INDEX.ora' SIZE 950M 
    REUSE AUTOEXTEND ON NEXT 640K MAXSIZE UNLIMITED
    EXTENT MANAGEMENT LOCAL
    SEGMENT SPACE MANAGEMENT AUTO;
     
CREATE USER "&&src_schema"  PROFILE "DEFAULT" 
    IDENTIFIED BY "zooboteco" DEFAULT TABLESPACE "BIOTICS_DATA" 
    TEMPORARY TABLESPACE "TEMP" 
    ACCOUNT UNLOCK;

CREATE USER "&&del_schema"  PROFILE "DEFAULT" 
    IDENTIFIED BY "zooboteco" DEFAULT TABLESPACE "BIOTICSDEL_DATA" 
    TEMPORARY TABLESPACE "TEMP" 
    ACCOUNT UNLOCK;

CREATE USER "BIOTICS_REPORT"  PROFILE "DEFAULT" 
    IDENTIFIED BY "BIOTICS_REPORT" DEFAULT TABLESPACE "BIOTICS_DATA" 
    TEMPORARY TABLESPACE "TEMP" 
    ACCOUNT UNLOCK;

CREATE USER "BIOTICS_DLINK"  PROFILE "DEFAULT" 
    IDENTIFIED BY "BIOTICS_DLINK" DEFAULT TABLESPACE "BIOTICS_DATA" 
    TEMPORARY TABLESPACE "TEMP" 
    QUOTA UNLIMITED ON "BIOTICS_DATA"
    ACCOUNT UNLOCK;

CREATE USER "BIOTICS_QUERY"  PROFILE "DEFAULT" 
    IDENTIFIED BY "zooboteco" DEFAULT TABLESPACE "BIOTICS_DATA" 
    TEMPORARY TABLESPACE "TEMP" 
    ACCOUNT UNLOCK;
    GRANT "CONNECT" TO "BIOTICS_QUERY";
    GRANT CREATE VIEW TO RESOURCE;

CREATE ROLE BIOTICS_DATA_ROLE;

GRANT CONNECT, RESOURCE, CREATE session, CREATE TABLE, ALTER ANY TABLE, CREATE ANY TABLE, CREATE view, CREATE ANY VIEW,
      CREATE procedure, CREATE ANY INDEX, ALTER ANY INDEX, CREATE ANY PROCEDURE, EXECUTE ANY procedure,
      CREATE ANY TRIGGER, ALTER ANY TRIGGER
      TO BIOTICS_DATA_ROLE;

GRANT BIOTICS_DATA_ROLE TO &&src_schema;
GRANT BIOTICS_DATA_ROLE TO BIOTICS_DLINK;
GRANT BIOTICS_DATA_ROLE TO &&del_schema;
grant create sequence to &&src_schema;
grant create any sequence, drop any sequence to biotics_dlink;


GRANT CREATE SESSION, SELECT ANY TABLE, SELECT ANY DICTIONARY TO BIOTICS_REPORT;

GRANT UNLIMITED TABLESPACE TO &&src_schema;
GRANT UNLIMITED TABLESPACE TO &&del_schema;
ALTER USER &&src_schema QUOTA UNLIMITED ON BIOTICS_DATA;
ALTER USER &&src_schema QUOTA UNLIMITED ON BIOTICS_INDEX;
ALTER USER &&src_schema QUOTA UNLIMITED ON BIOTICS_AUDIT;
ALTER USER &&src_schema QUOTA UNLIMITED ON BIOTICS_DX_DATA;
ALTER USER &&src_schema QUOTA UNLIMITED ON BIOTICS_DX_INDEX;
ALTER USER &&del_schema QUOTA UNLIMITED ON BIOTICSDEL_DATA;

set echo on
